Skip to main content
POST
Create Tier

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
name
string
required

The tier name.

Example:

"Gold"

percentage
number
required

Commission percentage for the tier.

Example:

10

discount_percentage
number
required

Discount buyers get when using a code of this tier.

Example:

5

is_public
boolean
required

Public tiers are shown on the storefront affiliate page.

Example:

null

sort_order
integer

Must be at least 0. Must not be greater than 1000.

Example:

12

attribution_mode
string

Overrides the shop attribution mode for this tier's affiliates: per_order, lifetime_last or lifetime_first. Null inherits the shop setting.

Example:

"lifetime_first"

attribution_window_days
integer

Overrides the shop attribution window (1-999 days) for links using this tier's codes. Null inherits the shop setting.

Example:

14

Response

200 - undefined